[arch-commits] Commit in xorg-server/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Wed Aug 6 05:17:50 EDT 2008


    Date: Wednesday, August 6, 2008 @ 05:17:49
  Author: jgc
Revision: 8099

Remove dependencies for DMX, we don't build it. Fix dbus configuration directory

Modified:
  xorg-server/trunk/PKGBUILD

----------+
 PKGBUILD |   20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-06 09:15:40 UTC (rev 8098)
+++ PKGBUILD	2008-08-06 09:17:49 UTC (rev 8099)
@@ -11,7 +11,7 @@
 license=('custom')
 url="http://xorg.freedesktop.org"
 depends=('libx11>=1.1.4-3' 'libxkbui>=1.0.2' 'libgl' 'libxfont>=1.3.3' 'openssl>=0.9.8h' 'libxxf86misc>=1.0.1' 'libpciaccess>=0.10.3' 'libxv>=1.0.4' 'libxaw>=1.0.4' 'pixman>=0.11.8' 'hal>=0.5.11' 'xcursor-themes' 'xkeyboard-config>=1.3' 'xorg-server-utils' 'xorg-utils' 'xorg-fonts-misc' 'xbitmaps')
-makedepends=('glproto>=1.4.9' 'xf86driproto>=2.0.4' 'mesa>=7.1rc3' 'randrproto>=1.2.2' 'renderproto>=0.9.3' 'scrnsaverproto>=1.1.0' 'resourceproto>=1.0.2' 'fontsproto>=2.0.2' 'videoproto>=2.2.2' 'compositeproto>=0.4' 'trapproto>=3.4.3' 'resourceproto>=1.0.2' 'xineramaproto>=1.1.2' 'evieext>=1.0.2' 'libxkbfile>=1.0.5' 'libxmu>=1.0.4' 'libxpm>=3.5.7' 'libxxf86dga>=1.0.2' 'libxrender>=0.9.4' 'libxi>=1.1.3' 'dmxproto>=2.2.2')
+makedepends=('glproto>=1.4.9' 'xf86driproto>=2.0.4' 'mesa>=7.1rc3' 'randrproto>=1.2.2' 'renderproto>=0.9.3' 'scrnsaverproto>=1.1.0' 'resourceproto>=1.0.2' 'fontsproto>=2.0.2' 'videoproto>=2.2.2' 'compositeproto>=0.4' 'trapproto>=3.4.3' 'resourceproto>=1.0.2' 'xineramaproto>=1.1.2' 'evieext>=1.0.2' 'libxkbfile>=1.0.5' 'libxmu>=1.0.4' 'libxpm>=3.5.7' 'libxxf86dga>=1.0.2')
 options=('!libtool')
 provides=('x-server')
 groups=('xorg')
@@ -23,7 +23,13 @@
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
+
+  # Get rid of the ugly pattern
   patch -Np3 -i ${srcdir}/xorg-redhat-die-ugly-pattern-die-die-die.patch || return 1
+
+  # Fix dbus config path
+  sed -i -e 's/\$(sysconfdir)/\/etc/' config/Makefile.*  || return 1
+
   ./configure --prefix=/usr \
               --enable-ipv6 \
               --enable-dri \
@@ -39,22 +45,22 @@
               --enable-glx-tls \
               --enable-xorgcfg \
 	      --enable-kdrive \
+              --enable-install-setuid \
+              --enable-config-hal \
+	      --enable-config-dbus \
 	      --disable-xfbdev \
 	      --disable-xfake \
 	      --disable-xsdl \
 	      --disable-kdrive-vesa \
 	      --disable-dri2 \
-              --enable-install-setuid \
               --disable-xprint \
+              --disable-static \
               --sysconfdir=/etc/X11 \
               --localstatedir=/var \
               --with-default-font-path=/usr/share/fonts/misc,/usr/share/fonts/100dpi:unscaled,/usr/share/fonts/75dpi:unscaled,/usr/share/fonts/TTF,/usr/share/fonts/Type1 \
               --with-xkb-path=/usr/share/X11/xkb \
               --with-xkb-output=/var/lib/xkb \
-              --with-dri-driver-path=/usr/lib/xorg/modules/dri \
-              --enable-config-hal \
-	      --enable-config-dbus \
-              --disable-static
+              --with-dri-driver-path=/usr/lib/xorg/modules/dri || return 1
 
   make || return 1
   make DESTDIR=${pkgdir} install || return 1
@@ -69,7 +75,7 @@
   mv ${pkgdir}/usr/lib/xorg/modules/libwfb.so \
      ${pkgdir}/usr/lib/xorg/modules/libwfb.so.1.4 || return 1
 
-  # Needed for non-mesa drivers
+  # Needed for non-mesa drivers, libgl will restore it
   mv ${pkgdir}/usr/lib/xorg/modules/extensions/libglx.so ${pkgdir}/usr/lib/xorg/modules/extensions/libglx.xorg
 
   install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}




More information about the arch-commits mailing list